I suggest that the OWLR app...

My Foscam FI9805 just stopped working as of 3-10-2018, it is a great camera, only three years old.

I would like to see you support older Foscam’s that has not given me any problems as of until now sense you stopped supporting it. Thanks

2 votes
Vote
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    Johnnie Reeves shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

    0 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      Signed in as (Sign out)
      Submitting...

      Feedback and Knowledge Base